SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001338SiT!outbound emailpublic2010-06-08 14:502010-07-21 21:29
ReporterNealR 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntuOS VersionLatest Server OS
Product Version3.61 LTS 
Target Version3.62 LTSFixed in Version3.62 LTS 
Summary0001338: Warning 'Compilation failed: nothing to repeat' when some emails are sent
DescriptionWhen requesting/approving/denying holiday's, there is a warning on the top of the browser stating: Warning [2]
preg_replace() [function.preg-replace]: Compilation failed: nothing to repeat at offset 8 in /var/www/sit/lib/mime.inc.php @ line 90 preg_replace() MIME_mail() send_email() send_trigger_email() trigger_action() trigger()
Steps To ReproduceRequest a holiday period. Upon selecting who to send the notification to, the error occurs.
Additional InformationThis also is appearing identically when sending some other outbound messages, but not for incident tracking.
TagsNo tags attached.
Attached Files

- Relationships
related to 0001335closedTomse Cannot send mail 

-  Notes
User avatar (0003280)
ivan (administrator)
2010-06-30 10:36

See commit r6426

http://sitracker.svn.sourceforge.net/viewvc/sitracker?revision=6426&view=revision [^]
User avatar (0003290)
ivan (administrator)
2010-07-03 16:41

Fixed in svn r1338 and git a3296ab
User avatar (0003323)
ivan (administrator)
2010-07-18 15:05

Released in v3.62

- Issue History
Date Modified Username Field Change
2010-06-08 14:50 NealR New Issue
2010-06-09 09:23 ivan Status new => confirmed
2010-06-09 09:23 ivan Target Version => 3.62 LTS
2010-06-09 12:45 paulh Relationship added related to 0001335
2010-06-19 17:13 ivan Status confirmed => assigned
2010-06-19 17:13 ivan Assigned To => ivan
2010-06-30 10:36 ivan Note Added: 0003280
2010-07-03 15:45 ivan Category holidays => outbound email
2010-07-03 15:45 ivan Summary Warning on holiday submission => Warning 'Compilation failed: nothing to repeat' when some emails are sent
2010-07-03 16:41 ivan Note Added: 0003290
2010-07-03 16:41 ivan Status assigned => resolved
2010-07-03 16:41 ivan Fixed in Version => Current SVN
2010-07-03 16:41 ivan Resolution open => fixed
2010-07-18 15:05 ivan Note Added: 0003323
2010-07-18 15:05 ivan Status resolved => closed
2010-07-21 21:29 ivan Fixed in Version Current SVN => 3.62 LTS


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker